Create Service Record
curl --request POST \
--url https://bptest.mapleai.cc/api/ecosystem/service-records \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"partner_id": "<string>",
"project_name": "<string>",
"company_name": "<string>",
"service_detail": "<string>",
"service_date": "2023-12-25",
"service_amount": 1,
"profit_share": 1
}
'import requests
url = "https://bptest.mapleai.cc/api/ecosystem/service-records"
payload = {
"partner_id": "<string>",
"project_name": "<string>",
"company_name": "<string>",
"service_detail": "<string>",
"service_date": "2023-12-25",
"service_amount": 1,
"profit_share": 1
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
partner_id: '<string>',
project_name: '<string>',
company_name: '<string>',
service_detail: '<string>',
service_date: '2023-12-25',
service_amount: 1,
profit_share: 1
})
};
fetch('https://bptest.mapleai.cc/api/ecosystem/service-records', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"code": 0,
"message": "操作成功",
"data": {
"partner_id": "<string>",
"project_name": "<string>",
"company_name": "<string>",
"service_type": "legal",
"service_detail": "<string>",
"service_date": "2023-12-25",
"service_amount": 1,
"profit_share": 1,
"id": "<string>",
"tenant_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"connect_request_id": "<string>",
"project_id": "<string>",
"profit_rate": "0.1500",
"status": "in_progress",
"notes": "<string>",
"status_label": "<string>",
"service_type_label": "<string>",
"partner_name": "<string>"
},
"timestamp": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}生态资源 / Ecosystem
Create Service Record
POST
/
api
/
ecosystem
/
service-records
Create Service Record
curl --request POST \
--url https://bptest.mapleai.cc/api/ecosystem/service-records \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"partner_id": "<string>",
"project_name": "<string>",
"company_name": "<string>",
"service_detail": "<string>",
"service_date": "2023-12-25",
"service_amount": 1,
"profit_share": 1
}
'import requests
url = "https://bptest.mapleai.cc/api/ecosystem/service-records"
payload = {
"partner_id": "<string>",
"project_name": "<string>",
"company_name": "<string>",
"service_detail": "<string>",
"service_date": "2023-12-25",
"service_amount": 1,
"profit_share": 1
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
partner_id: '<string>',
project_name: '<string>',
company_name: '<string>',
service_detail: '<string>',
service_date: '2023-12-25',
service_amount: 1,
profit_share: 1
})
};
fetch('https://bptest.mapleai.cc/api/ecosystem/service-records', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"code": 0,
"message": "操作成功",
"data": {
"partner_id": "<string>",
"project_name": "<string>",
"company_name": "<string>",
"service_type": "legal",
"service_detail": "<string>",
"service_date": "2023-12-25",
"service_amount": 1,
"profit_share": 1,
"id": "<string>",
"tenant_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"connect_request_id": "<string>",
"project_id": "<string>",
"profit_rate": "0.1500",
"status": "in_progress",
"notes": "<string>",
"status_label": "<string>",
"service_type_label": "<string>",
"partner_name": "<string>"
},
"timestamp": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Body
application/json